apiVersion: batch/v1
kind: Job
metadata:
  name: nm-job-pre
  annotations:
    argocd.argoproj.io/hook: PreSync 
    argocd.argoproj.io/hook-delete-policy: HookSucceeded
spec:
  ttlSecondsAfterFinished: 100
  template:
    spec:
      containers:
      - name: nginx
        image: nginx
        args:
          - sleep
          - "60"
      restartPolicy: Never
  backoffLimit: 2
